Package org.apache.sling.thumbnails

## Class BadRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.thumbnails.BadRequestException

All Implemented Interfaces:
  `Serializable`

    @ProviderType
    public class BadRequestException
    extends RuntimeException

Exception to indicate that the request provided is invalid

See Also:
  Serialized Form

### Constructor Summary

Constructors
`BadRequestException​(String message)`
`BadRequestException​(String message, Exception cause)`
`BadRequestException​(String message, org.apache.sling.api.resource.ValueMap properties)`
`BadRequestException​(String message, org.apache.sling.api.resource.ValueMap properties, Exception cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadRequestException

    public BadRequestException​(String message)

#### BadRequestException

    public BadRequestException​(String message,
                               Exception cause)

#### BadRequestException

    public BadRequestException​(String message,
                               org.apache.sling.api.resource.ValueMap properties)

#### BadRequestException

    public BadRequestException​(String message,
                               org.apache.sling.api.resource.ValueMap properties,
                               Exception cause)